{ config, ... }: {
  imports = [ ../../nixos/variables-config.nix ];

  config.var = {
    hostname = "dark";
    username = "dim";
    uid = 1000;
    hashedPassword =
      "$y$j9T$OqKMt8etf8DgTrZhN9jzy/$biMoM3P.WPZMpk0DAK.QhaHjGOL23pEgxlSvfu9LEPD";
    configDirectory = "/home/" + config.var.username
      + "/.config/nixos"; # The path of the nixos configuration directory

    keyboardLayout = "us";

    location = "Tangerang";
    timeZone = "Asia/Jakarta";
    defaultLocale = "en_US.UTF-8";
    extraLocale = "id_ID.UTF-8";
    weatherapikey = "b13ad03a98f04a8ea5620114240412";

    git = {
      username = "dim";
      email = "dbrw@dark";
      signing = {
        key = "D8EDD65BCB54AC8719BE4EBD8D5D880EB08F1544";
        signByDefault = true;
      };
    };

    autoUpgrade = false;
    autoGarbageCollector = false;

    theme = import ../../themes/var/nixy.nix;
  };
}
